package com.caimei.entity;

import java.io.Serializable;
import java.util.List;

/**
 * 订单商品Entity
 *
 * @author 李俊
 * @version 2019-12-17
 */
public class CmOrderProduct implements Serializable {
    private static final long serialVersionUID = 1L;

    private Integer orderProductID;        // orderProductID
    private String orderNo;        // 主订单编号
    private Integer orderID;        // 主订单ID
    private Integer shopOrderID;        // 订单Id
    private String shopOrderNo;        // 子订单编号
    private Integer shopID;        // 供应商ID
    private Integer productID;        // 商品Id
    private Integer num;        // 购买数量
    private Integer presentNum;        // 赠送数量
    private String outStoreType;        // 出库类型 0 采美出库  1 供应商出库
    private Integer skuID;        // skuId
    private String props;        // sku属性
    private String propName;        // 属性名
    private String productNo;        // 商品编号
    private Double price;        // 商品价格(协销 市场价 普通 购买价)
    private Double normalPrice;        // 市场价 = 商品表市场价
    private Double shopProductAmount;        // 商品费  =  成本价快照  *  (购买数量  + 赠品数量)
    private Double costPrice;        // 快照商品成本价格
    private Double price0;        // 记录普通用户购买时价格  活动价优先
    private Double price1;        // 记录会员用户购买时价格  活动价优先
    private Double totalAmount;        // 商品总价  = 价格X数量
    private Double discount;        // 折扣比例
    private Double discountPrice;        // 折后单价
    private Double taxRate;        // 后台设置该商品税率
    private Double addedValueTax;        // 单个税费=税率X折后单价
    private Double totalAddedValueTax;        // 总税费=单个税费X购买数量
    private Double shopFee;        // 该商品总的应付供应商金额
    private Double otherFee;        // 该商品总的应付第三方金额
    private Double cmFee;        // 该商品总的应付采美金额 (受赠品影响)
    private Double singleShopFee;        // 后台设置的单个应付供应商金额
    private Double singleOtherFee;        // 后台设置单个应付第三方金额
    private Double singleCmFee;        // 后台计算的单个应付采美金额
    private Double shouldPayFee;        // 总的应付金额
    private Double totalFee;        // 订单总价  = 价格X数量 + 税费
    private Double totalBeans;        // 获取到的总采美豆值
    private Double useBalanceAmount;        // 使用余额金额
    private Double preferential;        //优惠金额
    private String commentFlag;        // 是否已评论：1是，空或0未评论
    private Integer useBeanAmount;        // 使用采美豆数量
    private Integer notOutStore;        // 未出库数量
    private Integer cmbeanPrice;        // 当前采美豆专区价格(采美豆)
    private String isGiftProduct;        // 是否是赠品：0:不是，1：是
    private String productActInfo;        // 活动信息 已享受满XX减XX 之类
    private String buyAgainFlag;        // 订单商品再次购买标识 0否 1是
    private String confirmProductFlag;        // 订单商品供应商确认标志 0否 1是
    private String payStatus;        // 支付状态 0 未付款 1 已付款
    private Integer status;           //订单商品状态
    private String shopName;        // 供应商名称
    private String name;        // 商品名称
    private Double discountFee; //经理折扣平分
    private String isActProduct;//是否活动商品 0不是 1是
    private String actType;//活动类型
    private Double actPreferential;//活动优惠金额
    private String productImage; //商品图片
    private String productUnit;  //商品规格
    private List<NewCmFinanceReceipts> newCmFinanceReceiptsList; //订单商品id对应一个进账记录  订单id对应多个
    private Integer deliveryNum; // 发货数量
    private String logisticsBatchID; // 发货批次ID
    private Integer outStoreTimes;  // 发货批次
    private String delFlag;
    private String needSnCode;//是否需要Sn码： 0不需要  1需要填写sn码
    private String productSnCode;//商品sn编码，一个订单商品存在多个编码用，隔开
    private Integer receivedNum;    //已收数量
    private Integer returningNum;   //退货退款中数量
    private Integer returnedNum;   //已退数量
    private Double shouldPayTotalTax;//  decimal(20,6) comment '总增值税（应付税费）',
    private Integer cancelNum;  //退货退款取消数量
}
